Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri
Class XRIPath

    java.lang.Object
      org.openxri.Parsable
          org.openxri.XRIPath

All Implemented Interfaces:
  java.lang.Comparable

Direct Known Subclasses:
  XRIAbsolutePath, XRINoSchemePath

    public abstract class XRIPath

extends Parsable

This base class provides a strong typing for a XRI Path. Any object of this class that appears outside of the package is a valid XRI Path.

Author:
  =chetan

Method Summary
`int` | `getNumSegments()` returns The number of XRISegmentVals for this relative path
`XRISegment` | `getSegmentAt(int nIndex)` Returns the XRISegmentVal at the given index
`java.util.Iterator` | `getSegmentIterator()` returns an Iterator for the XRISegmentVals for this relative path
`java.lang.String` | `toIRINormalForm()` Serialzes Relative Path into IRI normal from
`java.lang.String` | `toURINormalForm()` Serialzes Relative Path into URI normal from

Methods inherited from class org.openxri.Parsable
`compareTo, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getNumSegments

    public int getNumSegments()

  returns The number of XRISegmentVals for this relative path

  Returns:
    int The number of XRISegmentVals for this relative path

### getSegmentIterator

    public java.util.Iterator getSegmentIterator()

  returns an Iterator for the XRISegmentVals for this relative path

  Returns:
    Iterator Iterator for the XRISegmentVals for this relative path

### getSegmentAt

    public XRISegment getSegmentAt(int nIndex)

  Returns the XRISegmentVal at the given index

  Parameters:
    `nIndex` - The index of the XRISegmentVal to return
  Returns:
    XRISegmentVal The XRISegmentVal at the specified index

### toIRINormalForm

    public java.lang.String toIRINormalForm()

  Serialzes Relative Path into IRI normal from

  Returns:
    The IRI normal form of the Relative Path

### toURINormalForm

    public java.lang.String toURINormalForm()

  Serialzes Relative Path into URI normal from

  Returns:
    The URI normal form of the Relative Path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.